Erro com repositório MEGA no Linux Mint

Galera, estou com esse problema, algúem pode me ajudar a resolver?

W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://mega.nz/linux/MEGAsync/xUbuntu_18.04 ./ InRelease: As seguintes assinaturas eram inválidas: EXPKEYSIG 4B4E7A9523ACD201 MegaLimited support@mega.co.nz
W: Falhou ao buscar https://mega.nz/linux/MEGAsync/xUbuntu_18.04/./InRelease As seguintes assinaturas eram inválidas: EXPKEYSIG 4B4E7A9523ACD201 MegaLimited support@mega.co.nz
W: Falhou o download de alguns ficheiros de índice. Foram ignorados ou os antigos foram usados em seu lugar.

meu também ta dando isso

Erro na chave de autenticação? :thinking:

Boa noite.

Acontece que a chave GPG expirou. Dá pra verificar digitando o seguinte comando no terminal:

# apt-key list

E procure por “expirado” ou “expired” se seu sistema estiver em inglês.

Só que a empresa Mega não lançou suas novas chaves no sistema PGP (ainda).

Para importar novas chaves, este é o comando:

# apt-key adv --keyserver hkp://keys.gnupg.net --recv-keys 23ACD201

Simplesmente baixe o pacote do site do mega.nz novamente e reinstale.

Bom, eu entendi, realmente estava como expirada a chave, para resolver eu desabilitei o repositório do programa. Porém entendo que o problema é com o Mega, logo não posso sta nada por enquanto.

Vlw, pela solução e explicação!

Comando para resolver o problema (os caras do Mega lançaram uma nova chave):

# apt-key adv --keyserver hkp://keys.gnupg.net --recv-keys 7F068E5D

Isso instala a nova chave e o repositório passa a responder normalmente.

2 Curtidas

hmmmmmmm, agora sim! Obrigado!

Consegui com essa chave, no entanto, foi necessário acrescentar o sudo antes do apt-key adv --keyserver hkp://keys.gnupg.net --recv-keys 7F068E5D ficando assim:

sudo apt-key adv --keyserver hkp://keys.gnupg.net --recv-keys 7F068E5D

1 Curtida

MEGAsync for Linux - Signature Expiry

On the 31st July 2019, an expired key was used to sign our Debian based packages, and this may have resulted in you seeing signature verification errors.

We have now updated our packages with a new signature. To update to the new signature, please visit MEGA and then choose your distribution, version and download MEGAsync. If you cannot remember your password, please change it before reinstalling. Once downloaded, please install the package and it will contain the new signature.

For more information please visit MEGA

Best Regards,
— Team MEGA